

Platt = {}

local Platt_mt = Class(Platt, Mission00);

function Platt:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = Platt_mt;
    end;
    local self = Platt:superClass():new(baseDirectory, mt);
    return self;
end;

function Platt:delete()
    Platt:superClass().delete(self);
end;

function Platt:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));
    
    -- load paths for AI traffic vehicles
    self:loadMap(Utils.getFilename("map01/paths/MilktruckTraffic1.i3d", self.baseDirectory));
    
    -- load paths for AI pedestrians
    -- self:loadMap(Utils.getFilename("map01/paths/pedestrianPaths.i3d", self.baseDirectory));
        
	    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("missions/CattleMeadow.i3d", self.baseDirectory));
	
    -- load the PDA map image
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));
	
	-- load Glass Containers
    self:loadGlassContainers(Utils.getFilename("missions/glassContainers.i3d", self.baseDirectory));
	
	-- load Bottles
    self:loadCollectableBottles(Utils.getFilename("missions/collectableBottles.i3d", self.baseDirectory));
 
    Platt:superClass().load(self);
end
function Platt:loadFinished()
    Platt:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function Platt:mouseEvent(posX, posY, isDown, isUp, button)
    Platt:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function Platt:keyEvent(unicode, sym, modifier, isDown)
    Platt:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function Platt:update(dt)
    Platt:superClass().update(self, dt);
end;

function Platt:draw()
    Platt:superClass().draw(self);
end;
